MODULES-UPDATE(8)

NAME
modules-update - (re)generate /etc/modules.conf

SYNOPSIS
modules-update [force]

DESCRIPTION
modules-update is a simple tool to manage /etc/modules.conf The Linux module utilities use one configuration file for all their configuration. This makes it hard for packages to dynamically add information about their own modules. To fix this modules-update has been introduced.

modules-update attempts to fix this by generating the configuration file from seperate files which are located in /etc/modules.d/. All files in that directory are assembled together to form /etc/modules.conf.

After generation a backup of the old file is put in /etc/modules.conf.old.

FILES
There are two types of file you can put in /etc/modules.d/: normal files and exectuable files. Normal files contain standard modules configuration information, as described in modules.conf(5). Executable files are executed and their output is used as extra configuration information. Error messages sent to stderr are not redirected.

OPTIONS

force
    modules-update will check if the current /etc/modules.conf is a generated file by checking for a special tag on the first line. If this tag is not found generation is aborted. By supplying force as parameter only a warning is printed.

REPORTING BUGS
Please report bugs via http://bugs.gentoo.org/

SEE ALSO
depmod(1), modules.conf(5)

AUTHOR
This manual page was written by Wichert Akkerman <wakkerma@debian.org> for the Debian GNU/Linux system. Modified for Gentoo Linux.